## python-oslo.rootwrap 6.2.0

=== debian/changelog ===
python-oslo.rootwrap (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:06:14 +0200

python-oslo.rootwrap (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:39:56 +0200

python-oslo.rootwrap (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:33:06 +0200

python-oslo.rootwrap (6.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:20:11 +0200

python-oslo.rootwrap (6.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:46:51 +0200

python-oslo.rootwrap (5.16.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:46:55 +0200

python-oslo.rootwrap (5.16.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:30:36 +0200

python-oslo.rootwrap (5.16.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:19:27 +0200

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 iproute2,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 6.3.0

=== debian/changelog ===
python-oslo.rootwrap (6.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 19:38:46 +0000

python-oslo.rootwrap (6.3.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:43:01 -0400

python-oslo.rootwrap (6.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 13:42:26 -0400

python-oslo.rootwrap (6.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:43 -0400

## python-oslo.rootwrap 6.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

mock>=2.0.0 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.rootwrap (6.3.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:00:36 +0100

python-oslo.rootwrap (6.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Feb 2022 09:28:36 +0100

python-oslo.rootwrap (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:55:36 +0200

python-oslo.rootwrap (6.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-hacking,
  python3-openstackdocstheme,
  python3-oslotest,
- python3-six,
  python3-stestr,
  python3-subunit,
  python3-testtools,
@@ -33,7 +32,6 @@
 Architecture: all
 Depends:
  python3-pbr,
- python3-six,
  sudo,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.rootwrap/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.rootwrap 7.0.0

=== debian/changelog ===
python-oslo.rootwrap (7.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:21:14 -0500

python-oslo.rootwrap (6.3.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:26:44 -0500

## python-oslo.rootwrap 7.0.1

=== debian/changelog ===
python-oslo.rootwrap (7.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:20:24 +0100

## python-oslo.rootwrap 7.1.0

=== debian/changelog ===
python-oslo.rootwrap (7.1.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/t/python-import: Drop py2 support.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:03:48 +0000

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 iproute2,
 python3-bandit (>= 1.1.0),
 python3-hacking (>= 1.1.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-stestr (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.rootwrap
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.rootwrap
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-pbr,
 python3-six (>= 1.10.0),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 7.3.0

=== debian/changelog ===
python-oslo.rootwrap (7.3.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090577).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:33:05 +0100

python-oslo.rootwrap (7.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:58:55 +0200

python-oslo.rootwrap (7.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:18:42 +0200

python-oslo.rootwrap (7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:43:00 +0200

python-oslo.rootwrap (7.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:40:08 +0100

python-oslo.rootwrap (7.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:02:10 +0200

python-oslo.rootwrap (7.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:59:30 +0200

python-oslo.rootwrap (7.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046816).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:42:43 +0200

python-oslo.rootwrap (7.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:42:26 +0200

## python-oslo.rootwrap 7.4.0

=== debian/changelog ===
python-oslo.rootwrap (7.4.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:00:22 +0000

python-oslo.rootwrap (7.3.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:23:55 +0100

## python-oslo.rootwrap 7.5.1

=== debian/changelog ===
python-oslo.rootwrap (7.5.1-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 13:52:20 +0000

python-oslo.rootwrap (7.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:53:22 +0000

python-oslo.rootwrap (7.5.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 15:53:15 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.rootwrap/ oslo.rootwrap-(\d.*)\.tar\.gz

## python-oslo.rootwrap 7.6.0+git2025070911.0cb36cd

=== debian/changelog ===
python-oslo.rootwrap (7.6.0+git2025070911.0cb36cd-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 14:36:29 -0700

## python-oslo.rootwrap 7.7.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

debtcollector>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.rootwrap (7.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:21:37 +0200

python-oslo.rootwrap (7.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:02:45 +0200

python-oslo.rootwrap (7.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:34:39 +0100

python-oslo.rootwrap (7.5.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:34:30 +0100

python-oslo.rootwrap (7.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-debtcollector (>= 3.0.0) as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:30:06 +0100

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 iproute2,
 python3-debtcollector (>= 3.0.0),
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-debtcollector (>= 3.0.0),
 python3-pbr,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_rootwrap\.tests\.(?!(.*test_functional.*))'
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.rootwrap refs/tags/(\d[brc\d\.]+)

## python-oslo.rootwrap 7.8.0

=== debian/changelog ===
python-oslo.rootwrap (7.8.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 7.8.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/extend-killfilter-test.patch: Extend existing gnu-killfilter
    test to include rust-based cat for Ubuntu Resolute.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 17 Jan 2026 19:31:51 -0800

python-oslo.rootwrap (7.7.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/add-gnucat-to-killfilter-test.patch: Add patch for unit
    test to utilize gnucat in Ubuntu Questing, fixing previous
    assertion error.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 10:56:50 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=oslo_rootwrap
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf .testrepository build
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.rootwrap/ oslo[._]rootwrap-(\d.*)\.tar\.gz

## python-oslo.rootwrap 7.9.0

=== requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 debtcollector>=3.0.0 # Apache-2.0
+pbr>=6.1.1 # Apache-2.0

=== debian/changelog ===
python-oslo.rootwrap (7.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:59:11 +0100

python-oslo.rootwrap (7.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046816).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 12:56:34 +0100
